// Class SimpleLabel

function SimpleLabel ( target_name ) {

   this.target = target_name;

   this.put = function ( message ) {

      var label = document.getElementById( this.target );
      if ( ! message ) {
         label.innerHTML = "&nbsp;";
      } else {
         label.innerHTML = message;
      };
      return;

   }; // put

   this.color = function ( color_value ) {
      var label = document.getElementById( this.target );
      label.style.color = color_value;
      return;
   }; // color

   this.bold = function () {
      var label = document.getElementById( this.target );
      label.style.fontWeight = 'bold';
      return;
   }; // bold

   this.strike = function () {
      var label = document.getElementById( this.target );
      var message = label.innerHTML;
      label.innerHTML = message.strike();
      return;
   }; // strike

   this.normal = function () {
      var label = document.getElementById( this.target );
      label.style.fontWeight = 'normal';
      label.style.color = 'black';
   }; // normal

   this.reset = function () {
      var label = document.getElementById( this.target );
      label.innerHTML = "&nbsp;";
      this.normal();
   };

}; // SimpleLabel
